﻿@model Tuple<List<DocumentConfirmationLineView>, List<DocumentConfirmationLineView>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Purchase/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")

<h1 class="page-header">@Approval.MAS</h1>

<div class="row">
    <ul class="nav nav-tabs" role="tablist">
        <li class="active"><a href="#TabMyApproval" role="tab" data-toggle="tab">@Approval.MAL </a></li>
        <li><a href="#TabMyDocumentsToBeApprove" role="tab" data-toggle="tab">@Approval.DPFA </a></li>
    </ul>
    <div id="TabContent" class="tab-content">
        <!--Tab Materials-->
        <div class="tab-pane fade active in" id="TabMyApproval">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    
                    <div class="panel-body">

                        <div class="form-group">
                            <div class="col-lg-3 col-sm-4 col-md-3">
                                <div class="input-group date" id="txtDocDate">
                                    @Html.TextBox("txtDocDate", null, new { @Id = "txtDocDate", @Name = "txtDocDate", @placeholder = @Drafts.PD, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                </div>
                            </div>

                            <div class="col-lg-3 col-sm-4 col-md-3">
                                <select id="txtDocStatus" class="form-control form_separator" name="txtDocStatus">
                                    <option selected="selected" value="">@Approval.AAS</option>
                                    <option value="W">@Approval.Pending</option>
                                    <option value="Y">@Approval.Approved</option>
                                    <option value="N">@Approval.NotApproved</option>
                                </select>
                            </div>


                            <div class="col-lg-3 col-sm-4 col-md-3">
                                <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                            </div>
                        </div>


                    </div>
                    <div class="divider"></div>
               </div>

               
                </div>

            <div id="BodyApproval">
                @Html.Partial("_ApprovalList", Model.Item1)
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="tab-pane" id="TabMyDocumentsToBeApprove">
            <div class="row">
                <div class="col-md-12 col-sm-1 col-xs-12">
                    <div class="panel-group" id="accordion2">
                       
                          
                                <div class="panel-body">
                                    <div class="form-group">

                                        <div class="col-lg-3 col-sm-4 col-md-3">
                                            <div class="input-group date" id="txtDocDate2">
                                                @Html.TextBox("txtDocDate2", null, new { @Id = "txtDocDate2", @Name = "txtDocDate2", @placeholder = @Drafts.PD, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                            </div>
                                        </div>

                                        <div class="col-lg-3 col-sm-4 col-md-3">
                                            <select id="txtDocStatus2" class="form-control" name="txtDocStatus2">
                                                <option selected="selected" value="">@Approval.AAS</option>
                                                <option value="W">@Approval.Pending</option>
                                                <option value="Y">@Approval.Approved</option>
                                                <option value="N">@Approval.NotApproved</option>
                                            </select>
                                        </div>

                                        <div class="col-lg-3 col-sm-4 col-md-3">
                                            <button type="button" id="btSearch2" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                                        </div>

                                    </div>
                                </div>
                        <div class="divider"></div>
                       
                    </div>
                </div>
            </div>

            <div id="BodyApproval2">
                @Html.Partial("_ApprovalList", Model.Item2)
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<div id="ApprovalTemplate">
    @*Modal Approve Template*@
    <div class="modal fade" id="ApproveModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" onclick="$('#ModalBodyApprovalTemplate').html('')">&times;</button>
                    <h4 class="modal-title" id="myModalLabelApproveModal">@Approval.Response - @Approval.AuthorizationRequest</h4>
                </div>
                <div class="">
                    <div id="LoadApprovalTemplate" style="text-align: center">
                        <img src="~/Content/img/Load.gif" />
                    </div>
                    <div id="ModalBodyApprovalTemplate">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" onclick="$('#ModalBodyApprovalTemplate').html('')">@PurchaseOrders.Cancel</button>
                </div>
            </div>
        </div>
    </div>
</div>

@*History Modal*@
<div class="modal fade" id="HistoryModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelHistoryModalHistory">@Approval.VH</h4>
            </div>
            <div class="">
                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadHistory" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyHistory">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="ClearHistoryTable()" class="btn btn-default" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/Approval-Index")


